﻿namespace Phoenix.Model.Bll.Interface
{
    using System.Collections.Generic;

    using Phoenix.Model.Bll.Domain;

    public interface IDrugRepository : IRepository<Drug>
    {
        #region Methods

        /// <summary>
        /// Searches all the drugs with the specified name.
        /// </summary>
        /// <param name="withName">Name of the drug to find.</param>
        /// <returns></returns>
        IList<Drug> Search(string withName);

        /// <summary>
        /// Searches the drugs with specified title and type.
        /// If one of the argument is null or empty the criterion
        /// won't be used for the search.
        /// </summary>
        /// <param name="title">The title.</param>
        /// <param name="type">The type.</param>
        /// <returns></returns>
        IList<Drug> Search(string title, DrugType type);

        /// <summary>
        /// Searches the specified type.
        /// </summary>
        /// <param name="type">The type.</param>
        /// <returns></returns>
        IList<Drug> Search(DrugType type);

        #endregion Methods
    }
}