﻿namespace Phoenix.Model.Bll.Interface
{
    using System;
    using System.Collections.Generic;

    using Phoenix.Model.Bll.Domain;

    public interface IMeetingRepository : IRepository<Meeting>
    {
        #region Methods

        /// <summary>
        /// Gets the meetings for the specified day.
        /// </summary>
        /// <param name="date">The date.</param>
        /// <returns>The meetings.</returns>
        IList<Meeting> GetMeetings(DateTime date);

        /// <summary>
        /// Gets the meetings between the specified dates.
        /// </summary>
        /// <param name="date">The date.</param>
        /// <returns>The meetings</returns>
        IList<Meeting> GetMeetings(DateTime startDate, DateTime endDate);

        #endregion Methods
    }
}