﻿namespace Phoenix.Model
{
    using System;

    using log4net;

    /// <summary>
    /// Root of presenter part of the MVP. 
    /// It just contains a logger.
    /// </summary>
    public class Presenter
    {
        #region Constructors

        /// <summary>
        /// Initializes a new instance of the <see cref="Presenter"/> class.
        /// </summary>
        /// <param name="type">The type.</param>
        protected Presenter(Type type)
        {
            this.Logger = LogManager.GetLogger(type);
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="Presenter"/> class.
        /// </summary>
        protected Presenter()
            : this(typeof(Presenter))
        {
        }

        #endregion Constructors

        #region Properties

        /// <summary>
        /// Gets or sets the logger.
        /// </summary>
        /// <value>The logger.</value>
        protected ILog Logger
        {
            get;
            private set;
        }

        #endregion Properties
    }
}