﻿namespace Phoenix.Model.Dal.Configuration
{
    using System;

    /// <summary>
    /// Generic configuration for the DAL.
    /// </summary>
    public interface IDalConfiguration
    {
        #region Properties

        /// <summary>
        /// Gets a value indicating whether this instance is open.
        /// </summary>
        /// <value><c>true</c> if this instance is open; otherwise, <c>false</c>.</value>
        bool IsOpen
        {
            get;
        }

        #endregion Properties

        #region Methods

        /// <summary>
        /// Closes the session.
        /// </summary>
        /// <exception cref="InvalidOperationException">Thrown if session is not open or not instanciated.</exception>
        void CloseSession();

        /// <summary>
        /// Loads the helper.
        /// </summary>
        void Configure();

        #endregion Methods
    }
}