﻿namespace Phoenix.Model.Dal.Configuration
{
    using System;

    using Phoenix.Model.Dal.Helpers;

    /// <summary>
    /// Manage the configuration of the NHibernate Session
    /// </summary>
    public class NHibernateConfiguration : IDalConfiguration
    {
        #region Properties

        /// <summary>
        /// Gets a value indicating whether this instance is open.
        /// </summary>
        /// <value><c>true</c> if this instance is open; otherwise, <c>false</c>.</value>
        public bool IsOpen
        {
            get { return ORMSessionManager.IsOpen; }
        }

        #endregion Properties

        #region Methods

        /// <summary>
        /// Closes the session.
        /// </summary>
        /// <exception cref="InvalidOperationException">Thrown if session is not open or not instanciated.</exception>
        public void CloseSession()
        {
            ORMSessionManager.CloseSession();
        }

        /// <summary>
        /// Loads the helper.
        /// </summary>
        public void Configure()
        {
            ORMSessionManager.Configure();
        }

        #endregion Methods
    }
}