﻿namespace Phoenix.Model.Dal.Repositories
{
    using System.Linq;

    using NHibernate.Linq;

    using Phoenix.Model.Bll.Domain;
    using Phoenix.Model.Bll.Interface;

    public class MedicalCardRepository : Repository<MedicalCard>, IMedicalCardRepository
    {
        #region Constructors

        /// <summary>
        /// Initializes a new instance of the <see cref="MedicalCardRepository"/> class.
        /// </summary>
        public MedicalCardRepository()
            : base("MedicalCard", "Title")
        {
        }

        #endregion Constructors

        #region Methods

        /// <summary>
        /// Determines whether the specified item is referenced.
        /// </summary>
        /// <param name="item">The item.</param>
        /// <returns>
        /// 	<c>true</c> if the specified item is referenced; otherwise, <c>false</c>.
        /// </returns>
        public override bool IsReferenced(MedicalCard item)
        {
            return (from Patient p in this.Session.Linq<Patient>()
                    where p.MedicalCards.Contains(item)
                    select p).Count() > 0;
        }

        #endregion Methods
    }
}