﻿namespace Phoenix.Model.Dal.Repositories
{
    using Phoenix.Model.Bll.Domain;
    using Phoenix.Model.Bll.Interface;

    /// <summary>
    /// Repository for relations
    /// </summary>
    public class RelationRepository : Repository<Relation>, IRelationRepository
    {
        #region Constructors

        /// <summary>
        /// Initializes a new instance of the <see cref="RelationRepository"/> class.
        /// </summary>
        public RelationRepository()
            : base("Relation", "Patient")
        {
        }

        #endregion Constructors

        #region Methods

        /// <summary>
        /// Determines whether the specified item is referenced.
        /// </summary>
        /// <param name="item">The item.</param>
        /// <returns>
        /// 	<c>true</c> if the specified item is referenced; otherwise, <c>false</c>.
        /// </returns>
        public override bool IsReferenced(Relation item)
        {
            return false;
        }

        #endregion Methods
    }
}