﻿namespace Phoenix.View.Helpers
{
    using System;
    using System.Windows.Forms;

    using Phoenix.Model.Bll.Domain;

    /// <summary>
    /// Display meeting into the GUI
    /// </summary>
    public partial class MeetingViewer : Form
    {
        #region Constructors

        /// <summary>
        /// Initializes a new instance of the <see cref="MeetingViewer"/> class.
        /// </summary>
        /// <param name="meeting">The meeting.</param>
        public MeetingViewer(WorkMeeting meeting)
        {
            InitializeComponent();

            if (meeting == null) return;

            DateTime from = meeting.StartDate;
            DateTime to = meeting.EndDate;

            this.tb_From.Text = from.ToString();
            this.tb_To.Text = to.ToString();
            this.tb_Title.Text = meeting.Title;
            this.tb_Remark.Text = meeting.Remark;
        }

        #endregion Constructors

        #region Methods

        private void btn_OK_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        #endregion Methods
    }
}