﻿namespace Phoenix.View.Management.Controls
{
    using Phoenix.Model.Bll.Domain;
    using Phoenix.Presenter.Management.Controls;

    /// <summary>
    /// Manage the drug types
    /// </summary>
    public class DrugTypeManagerControl : GeneralManagerControl<DrugType>
    {
        #region Fields

        private DrugType drugType = new DrugType();

        #endregion Fields

        #region Constructors

        /// <summary>
        /// Initializes a new instance of the <see cref="ReputationManagerControl"/> class.
        /// </summary>
        public DrugTypeManagerControl()
            : base()
        {
            this.Usage = Phoenix.Presenter.Helpers.Usage.Insert;
        }

        #endregion Constructors

        #region Properties

        /// <summary>
        /// Gets or sets the reputation.
        /// </summary>
        /// <value>The reputation.</value>
        public override DrugType ItemToManage
        {
            get
            {
                this.drugType.Title = this.tb_Name.Text;
                this.drugType.Remark = this.tb_Remarks.Text;
                return this.drugType;
            }
            set
            {
                this.drugType = value;
                this.tb_Name.Text = value.Title;
                this.tb_Remarks.Text = value.Remark;
            }
        }

        #endregion Properties

        #region Methods

        /// <summary>
        /// Sets an error message on empty name for the 
        /// reputation.
        /// </summary>
        /// <param name="msg">The MSG.</param>
        public void SetEmptyNameError(string msg)
        {
            this.ep_Error.SetError(this.tb_Name, msg);
        }

        #endregion Methods
    }
}