﻿namespace Phoenix.Plugins.Host.Exceptions
{
    using System;
    using System.Runtime.Serialization;

    using Phoenix.Plugins.Host.Interfaces;

    [Serializable]
    public class PluginAlreadyLoadedException : PluginException
    {
        #region Constructors

        public PluginAlreadyLoadedException()
            : base("This plugin is already loaded into the repository!")
        {
        }

        public PluginAlreadyLoadedException(IPlugable plugin)
            : base(string.Format("The plugin '{0}' is already loaded into the repository!", plugin.Name))
        {
        }

        public PluginAlreadyLoadedException(string message, Exception inner)
            : base(message, inner)
        {
        }

        protected PluginAlreadyLoadedException(SerializationInfo info, StreamingContext context)
            : base(info, context)
        {
        }

        #endregion Constructors
    }
}