﻿namespace Phoenix.Translation.Test
{
    using System;
    using System.Configuration;

    using Phoenix.Tools.Translation;

    class Program
    {
        #region Methods

        static void Main(string[] args)
        {
            string connectionString = ConfigurationManager.ConnectionStrings["Translation"].ConnectionString;

            TestTranslation test = new TestTranslation(connectionString);
            TestTranslation test2 = new TestTranslation(connectionString);

            try
            {
                TestTranslation.RemoveDB(connectionString);
                test.CreateTestDatabase();

                test.ConfigureAndTestTranslation();
                Console.WriteLine("================================");

                test2.OnlyTestTranslation();

                Console.WriteLine("================================");
                Console.WriteLine();
                string msg = (test.TestAutomaticAdd())
                    ? "Automatic add succeeded!"
                    : "Automatic add failed!";
                Console.WriteLine(msg);
            }
            catch (Exception ex)
            {
                Console.WriteLine();
                Console.WriteLine("Impossible to process the tests.");
                Console.WriteLine("================================");
                Console.WriteLine(ex.Message);
                Console.WriteLine();
                Console.WriteLine("================================");
                Console.WriteLine(ex.StackTrace);
            }
            finally
            {
                Console.WriteLine();
                Console.WriteLine("Press any key to continue...");
                Console.ReadKey();
            }
        }

        #endregion Methods
    }
}