namespace System.Windows.Forms.Calendar
{
    using System;

    /// <summary>
    /// Interface implemented by every selectable element of the calendar
    /// </summary>
    public interface ICalendarSelectableElement : ISelectableElement, IComparable<ICalendarSelectableElement>
    {
        #region Properties

        /// <summary>
        /// Gets the calendar this element belongs to
        /// </summary>
        Calendar Calendar
        {
            get;
        }

        /// <summary>
        /// Gets the calendar
        /// </summary>
        DateTime Date
        {
            get;
        }

        #endregion Properties
    }
}